Package ghidra.app.util.bin.format.pe.debug

# Class DebugCodeViewSymbolTable

java.lang.Object
ghidra.app.util.bin.format.pe.debug.DebugCodeViewSymbolTable

All Implemented Interfaces:
  `StructConverter`

public class DebugCodeViewSymbolTable extends Object implements StructConverter
A class to represent the Object Module Format (OMF) code view symbol table.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAGIC_N1_12`
  `static final int`
  `MAGIC_N1_13`
  `static final int`
  `MAGIC_NB_09`
  `static final int`
  `MAGIC_NB_11`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getMagic()`
  `List<OMFAlignSym>`
  `getOMFAlignSym()`
  Returns the OMF Align Symbols.
  `List<ghidra.app.util.bin.format.pe.debug.OMFDirEntry>`
  `getOMFDirectoryEntries()`
  Returns the OMF directory entries.
  `List<OMFFileIndex>`
  `getOMFFiles()`
  Returns the OMF Source Files.
  `List<OMFGlobal>`
  `getOMFGlobals()`
  Returns the OMF globals.
  `OMFLibrary`
  `getOMFLibrary()`
  `List<OMFModule>`
  `getOMFModules()`
  Returns the OMF modules.
  `List<OMFSegMap>`
  `getOMFSegMaps()`
  Returns the OMF segment maps.
  `List<OMFSrcModule>`
  `getOMFSrcModules()`
  Returns the OMF Source Modules.
  `static boolean`
  `isMatch(BinaryReader reader, int ptr)`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAGIC_NB_09

    public static final int MAGIC_NB_09
    See Also:
      - Constant Field Values

  - ### MAGIC_NB_11

    public static final int MAGIC_NB_11
    See Also:
      - Constant Field Values

  - ### MAGIC_N1_12

    public static final int MAGIC_N1_12
    See Also:
      - Constant Field Values

  - ### MAGIC_N1_13

    public static final int MAGIC_N1_13
    See Also:
      - Constant Field Values

- ## Method Details

  - ### isMatch

    public static boolean isMatch(BinaryReader reader, int ptr) throws IOException
    Throws:
      `IOException`

  - ### getMagic

    public byte[] getMagic()

  - ### getOMFLibrary

    public OMFLibrary getOMFLibrary()

  - ### getOMFDirectoryEntries

    public List<ghidra.app.util.bin.format.pe.debug.OMFDirEntry> getOMFDirectoryEntries()
    Returns the OMF directory entries.
    Returns:
      the OMF directory entries

  - ### getOMFModules

    public List<OMFModule> getOMFModules()
    Returns the OMF modules.
    Returns:
      the OMF modules

  - ### getOMFSegMaps

    public List<OMFSegMap> getOMFSegMaps()
    Returns the OMF segment maps.
    Returns:
      the OMF segment maps

  - ### getOMFGlobals

    public List<OMFGlobal> getOMFGlobals()
    Returns the OMF globals.
    Returns:
      the OMF globals

  - ### getOMFSrcModules

    public List<OMFSrcModule> getOMFSrcModules()
    Returns the OMF Source Modules.
    Returns:
      the OMF Source Modules

  - ### getOMFFiles

    public List<OMFFileIndex> getOMFFiles()
    Returns the OMF Source Files.
    Returns:
      the OMF Source Files

  - ### getOMFAlignSym

    public List<OMFAlignSym> getOMFAlignSym()
    Returns the OMF Align Symbols.
    Returns:
      the OMF Align Symbols

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
    See Also:
      - `StructConverter.toDataType()`